<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionReadPaper.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d73/_action_read_paper_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionReadPaper.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d73/_action_read_paper_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d9c/class_action_read_paper_c_b.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d9c/class_action_read_paper_c_b.html">ActionReadPaperCB</a> : <a class="code hl_class" href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d9c/class_action_read_paper_c_b.html#a33bc77d64c8659db579be6c92508d68c">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9c/class_action_read_paper_c_b.html#a33bc77d64c8659db579be6c92508d68c">CreateActionComponent</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_function" href="../../d4/d9e/human_8c.html#a8c262e2cc27fccf4a1439b54979e2f4a">EnableStateChangeCallback</a>();</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">m_ActionComponent</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a>(-1.0);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d4/d9c/class_action_read_paper_c_b.html#af408a030deef5b4b7ba92b6f12d3bd4a">    9</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9c/class_action_read_paper_c_b.html#af408a030deef5b4b7ba92b6f12d3bd4a">EndActionComponent</a>()</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d4/d9c/class_action_read_paper_c_b.html#a1b8804aa2ba854cd75a34319af829ab8">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d9c/class_action_read_paper_c_b.html#a1b8804aa2ba854cd75a34319af829ab8">OnStateChange</a>(<span class="keywordtype">int</span> pOldState, <span class="keywordtype">int</span> pCurrentState)</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span> (pCurrentState == <a class="code hl_variable" href="../../d4/d9e/human_8c.html#a0ff334215c943f44c097b2633237c6f5">STATE_NONE</a> &amp;&amp; (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer()))</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="keywordflow">if</span> (<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager() &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsMenuOpen(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>))</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">GetUIManager</a>().<a class="code hl_function" href="../../d7/d75/class_u_i_manager.html#a9eec3197925c4469ac05fcc46221b4f7">FindMenu</a>(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>).Close();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (pCurrentState == <a class="code hl_variable" href="../../d4/d9e/human_8c.html#ab9478b06befba3a8bd52435a249df222">STATE_LOOP_LOOP</a> &amp;&amp; pOldState != <a class="code hl_variable" href="../../d4/d9e/human_8c.html#ab9478b06befba3a8bd52435a249df222">STATE_LOOP_LOOP</a> &amp;&amp; (!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsMultiplayer() || <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer()))</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> paper_item = <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a>.Cast(<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            Param1&lt;string&gt; text = <span class="keyword">new</span> Param1&lt;string&gt;(paper_item.<a class="code hl_function" href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">GetWrittenNoteData</a>().<a class="code hl_function" href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">GetNoteText</a>());</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>            paper_item.RPCSingleParam(<a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.RPC_READ_NOTE, text, <span class="keyword">true</span>,<a class="code hl_variable" href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">m_ActionData</a>.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetIdentity());</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno"><a class="line" href="../../d7/d3a/class_action_read_paper.html">   29</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d3a/class_action_read_paper.html">ActionReadPaper</a>: <a class="code hl_class" href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>{</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d7/d3a/class_action_read_paper.html#a660bb76b7889f96ec225b38251e470ef">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d3a/class_action_read_paper.html#a660bb76b7889f96ec225b38251e470ef">ActionReadPaper</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">m_CallbackClass</a> = <a class="code hl_class" href="../../d4/d9c/class_action_read_paper_c_b.html">ActionReadPaperCB</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONFB_VIEWNOTE;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_PRONE;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#read&quot;</span>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d7/d3a/class_action_read_paper.html#a9680a0659bf1d5f0df7a47921b148904">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d3a/class_action_read_paper.html#a9680a0659bf1d5f0df7a47921b148904">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {   </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    }</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../d7/d3a/class_action_read_paper.html#af1fc208140a2b11e08a2eaad9c47ae07">   46</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d3a/class_action_read_paper.html#af1fc208140a2b11e08a2eaad9c47ae07">HasTarget</a>()</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    }</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../d7/d3a/class_action_read_paper.html#a2f2658f48c8bcca369ca466f01a7688b">   51</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d3a/class_action_read_paper.html#a2f2658f48c8bcca369ca466f01a7688b">OnUpdate</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        super.OnUpdate(action_data);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <span class="keywordflow">if</span>(!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">m_State</a> == <a class="code hl_variable" href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a> &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager() &amp;&amp; !<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().GetUIManager().IsMenuOpen(<a class="code hl_variable" href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a>))</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>            {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>                <a class="code hl_class" href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a>.Cast(action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetActionManager()).<a class="code hl_function" href="../../d7/da1/class_action_manager_client.html#a89e1ae073c78ebdf812a06d74f176de6">RequestEndAction</a>();</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>            }</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d7/d3a/class_action_read_paper.html#af93e1f45b04d2a598d80a452eab817b5">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d3a/class_action_read_paper.html#af93e1f45b04d2a598d80a452eab817b5">OnEndRequest</a>(<a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> (action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>)</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>            action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">m_Callback</a>.InternalCommand(<a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONINT_INTERRUPT);</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adb7a179f0ce9195c7dc300367bbaf51a"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adb7a179f0ce9195c7dc300367bbaf51a">m_FullBody</a></div><div class="ttdeci">protected bool m_FullBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00052">ActionBase.c:52</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="aclass_action_base_c_b_html_ab8c5796aa8f98fa679639b14db60813f"><div class="ttname"><a href="../../dd/d7f/class_action_base_c_b.html#ab8c5796aa8f98fa679639b14db60813f">ActionBaseCB::m_ActionData</a></div><div class="ttdeci">protected ActionData m_ActionData</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00003">AnimatedActionBase.c:3</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_c_b_html"><div class="ttname"><a href="../../d0/dcc/class_action_continuous_base_c_b.html">ActionContinuousBaseCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00001">ActionContinuousBase.c:2</a></div></div>
<div class="ttc" id="aclass_action_continuous_base_html"><div class="ttname"><a href="../../d6/d3f/class_action_continuous_base.html">ActionContinuousBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d96/_action_continuous_base_8c_source.html#l00131">ActionContinuousBase.c:132</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a3670327f6d411b07d3006af36d24510d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a3670327f6d411b07d3006af36d24510d">ActionData::m_Callback</a></div><div class="ttdeci">ActionBaseCB m_Callback</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00029">ActionBase.c:29</a></div></div>
<div class="ttc" id="aclass_action_data_html_a82934edb9e2ee84d9c8a45aa66242075"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a82934edb9e2ee84d9c8a45aa66242075">ActionData::m_ActionComponent</a></div><div class="ttdeci">ref CABase m_ActionComponent</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00030">ActionBase.c:30</a></div></div>
<div class="ttc" id="aclass_action_data_html_ac1e0ce4566aafcf4a9faf829080267c8"><div class="ttname"><a href="../../da/d5a/class_action_data.html#ac1e0ce4566aafcf4a9faf829080267c8">ActionData::m_State</a></div><div class="ttdeci">int m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00031">ActionBase.c:31</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_manager_client_html"><div class="ttname"><a href="../../d7/da1/class_action_manager_client.html">ActionManagerClient</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dae/_action_manager_client_8c_source.html#l00004">ActionManagerClient.c:5</a></div></div>
<div class="ttc" id="aclass_action_manager_client_html_a89e1ae073c78ebdf812a06d74f176de6"><div class="ttname"><a href="../../d7/da1/class_action_manager_client.html#a89e1ae073c78ebdf812a06d74f176de6">ActionManagerClient::RequestEndAction</a></div><div class="ttdeci">void RequestEndAction()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dae/_action_manager_client_8c_source.html#l00322">ActionManagerClient.c:322</a></div></div>
<div class="ttc" id="aclass_action_read_paper_c_b_html"><div class="ttname"><a href="../../d4/d9c/class_action_read_paper_c_b.html">ActionReadPaperCB</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00001">ActionReadPaper.c:2</a></div></div>
<div class="ttc" id="aclass_action_read_paper_c_b_html_a1b8804aa2ba854cd75a34319af829ab8"><div class="ttname"><a href="../../d4/d9c/class_action_read_paper_c_b.html#a1b8804aa2ba854cd75a34319af829ab8">ActionReadPaperCB::OnStateChange</a></div><div class="ttdeci">override void OnStateChange(int pOldState, int pCurrentState)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00013">ActionReadPaper.c:13</a></div></div>
<div class="ttc" id="aclass_action_read_paper_c_b_html_a33bc77d64c8659db579be6c92508d68c"><div class="ttname"><a href="../../d4/d9c/class_action_read_paper_c_b.html#a33bc77d64c8659db579be6c92508d68c">ActionReadPaperCB::CreateActionComponent</a></div><div class="ttdeci">override void CreateActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00003">ActionReadPaper.c:3</a></div></div>
<div class="ttc" id="aclass_action_read_paper_c_b_html_af408a030deef5b4b7ba92b6f12d3bd4a"><div class="ttname"><a href="../../d4/d9c/class_action_read_paper_c_b.html#af408a030deef5b4b7ba92b6f12d3bd4a">ActionReadPaperCB::EndActionComponent</a></div><div class="ttdeci">override void EndActionComponent()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00009">ActionReadPaper.c:9</a></div></div>
<div class="ttc" id="aclass_action_read_paper_html"><div class="ttname"><a href="../../d7/d3a/class_action_read_paper.html">ActionReadPaper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00029">ActionReadPaper.c:30</a></div></div>
<div class="ttc" id="aclass_action_read_paper_html_a2f2658f48c8bcca369ca466f01a7688b"><div class="ttname"><a href="../../d7/d3a/class_action_read_paper.html#a2f2658f48c8bcca369ca466f01a7688b">ActionReadPaper::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00051">ActionReadPaper.c:51</a></div></div>
<div class="ttc" id="aclass_action_read_paper_html_a660bb76b7889f96ec225b38251e470ef"><div class="ttname"><a href="../../d7/d3a/class_action_read_paper.html#a660bb76b7889f96ec225b38251e470ef">ActionReadPaper::ActionReadPaper</a></div><div class="ttdeci">void ActionReadPaper()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00031">ActionReadPaper.c:31</a></div></div>
<div class="ttc" id="aclass_action_read_paper_html_a9680a0659bf1d5f0df7a47921b148904"><div class="ttname"><a href="../../d7/d3a/class_action_read_paper.html#a9680a0659bf1d5f0df7a47921b148904">ActionReadPaper::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00040">ActionReadPaper.c:40</a></div></div>
<div class="ttc" id="aclass_action_read_paper_html_af1fc208140a2b11e08a2eaad9c47ae07"><div class="ttname"><a href="../../d7/d3a/class_action_read_paper.html#af1fc208140a2b11e08a2eaad9c47ae07">ActionReadPaper::HasTarget</a></div><div class="ttdeci">override bool HasTarget()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00046">ActionReadPaper.c:46</a></div></div>
<div class="ttc" id="aclass_action_read_paper_html_af93e1f45b04d2a598d80a452eab817b5"><div class="ttname"><a href="../../d7/d3a/class_action_read_paper.html#af93e1f45b04d2a598d80a452eab817b5">ActionReadPaper::OnEndRequest</a></div><div class="ttdeci">override void OnEndRequest(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d73/_action_read_paper_8c_source.html#l00064">ActionReadPaper.c:64</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a7bce84f3ceb181aacfabdfb000c56461"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a7bce84f3ceb181aacfabdfb000c56461">AnimatedActionBase::m_CallbackClass</a></div><div class="ttdeci">protected m_CallbackClass</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00127">AnimatedActionBase.c:127</a></div></div>
<div class="ttc" id="aclass_c_a_continuous_time_html"><div class="ttname"><a href="../../d1/dc2/class_c_a_continuous_time.html">CAContinuousTime</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/daa/_c_a_continuous_time_8c_source.html#l00001">CAContinuousTime.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_none_html"><div class="ttname"><a href="../../d2/dbf/class_c_c_t_none.html">CCTNone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d1b/_c_c_t_none_8c_source.html#l00001">CCTNone.c:2</a></div></div>
<div class="ttc" id="aclass_c_game_html_a00980b6b66e736a4af85fe1a935fd25e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a00980b6b66e736a4af85fe1a935fd25e">CGame::GetUIManager</a></div><div class="ttdeci">proto native UIManager GetUIManager()</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_item_base_html_a5387d5376315178ad70f6816c2e10408"><div class="ttname"><a href="../../de/d7a/class_item_base.html#a5387d5376315178ad70f6816c2e10408">ItemBase::GetWrittenNoteData</a></div><div class="ttdeci">override WrittenNoteData GetWrittenNoteData()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d4b/_paper_8c_source.html#l00030">Paper.c:30</a></div></div>
<div class="ttc" id="aclass_u_i_manager_html_a9eec3197925c4469ac05fcc46221b4f7"><div class="ttname"><a href="../../d7/d75/class_u_i_manager.html#a9eec3197925c4469ac05fcc46221b4f7">UIManager::FindMenu</a></div><div class="ttdeci">UIScriptedMenu FindMenu(int id)</div><div class="ttdoc">Returns menu with specific ID if it is open (see MenuID)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd4/_u_i_manager_8c_source.html#l00161">UIManager.c:161</a></div></div>
<div class="ttc" id="aclass_written_note_data_html_a7d3a4265a6da340e92178258307e1370"><div class="ttname"><a href="../../d4/d67/class_written_note_data.html#a7d3a4265a6da340e92178258307e1370">WrittenNoteData::GetNoteText</a></div><div class="ttdeci">string GetNoteText()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df8/_written_note_data_8c_source.html#l00073">WrittenNoteData.c:73</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___menu_i_d_html_gab4b187c0bd6713044c308f943e834330"><div class="ttname"><a href="../../d7/d7f/group___menu_i_d.html#gab4b187c0bd6713044c308f943e834330">MENU_NOTE</a></div><div class="ttdeci">const int MENU_NOTE</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00167">constants.c:167</a></div></div>
<div class="ttc" id="agroup___u_a_i_ds_html_ga1549e547ab5d53897a986482bf8fafe5"><div class="ttname"><a href="../../dd/d40/group___u_a_i_ds.html#ga1549e547ab5d53897a986482bf8fafe5">UA_FINISHED</a></div><div class="ttdeci">const int UA_FINISHED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00416">constants.c:416</a></div></div>
<div class="ttc" id="ahuman_8c_html_a0ff334215c943f44c097b2633237c6f5"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a0ff334215c943f44c097b2633237c6f5">STATE_NONE</a></div><div class="ttdeci">static const int STATE_NONE</div><div class="ttdoc">undef state - not running anymore</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00337">human.c:337</a></div></div>
<div class="ttc" id="ahuman_8c_html_a8c262e2cc27fccf4a1439b54979e2f4a"><div class="ttname"><a href="../../d4/d9e/human_8c.html#a8c262e2cc27fccf4a1439b54979e2f4a">EnableStateChangeCallback</a></div><div class="ttdeci">proto native void EnableStateChangeCallback()</div><div class="ttdoc">enables state change callback OnStateChange</div></div>
<div class="ttc" id="ahuman_8c_html_ab9478b06befba3a8bd52435a249df222"><div class="ttname"><a href="../../d4/d9e/human_8c.html#ab9478b06befba3a8bd52435a249df222">STATE_LOOP_LOOP</a></div><div class="ttdeci">static const int STATE_LOOP_LOOP</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9e/human_8c_source.html#l00341">human.c:341</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d6/d73/_action_read_paper_8c.html">ActionReadPaper.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
